/*
 Theme Name:   Focus Imoti
 Description:  Custom theme for Focus Imoti
 Author:       Green.Click
 Author URI:   https://greenclick.bg/
 Template:     bricks
 Version:      1.1
 Text Domain:  focus
*/
/*Search*/
.brx-popup-content{
	background-color: var(--bg-body);
}
.brx-popup-backdrop {
  backdrop-filter: blur(8px);
  transition: none;
}
.property-search {
  display: flex;
	align-items: flex-start;
  gap: var(--space-xs);
}
.property-search--advanced {
  flex-direction: column;
}
.property-search__row{
	border: 1px solid var(--border-primary);
	border-radius: var(--radius-m);
	overflow: hidden;
}
.property-search__col {
  display: flex;
  flex-direction: column;
  gap: var(--space-2xs);
}
.property-search__row > .property-search__field {
  	border: 0;
}
.property-search__row > .property-search__field:not(.property-search__field--country) {
  border-left: 1px solid var(--border-primary);
}
.property-search__field, .property-search__field::placeholder {
	background-color: var(--dark);
	color: var(--text-body);
}
.property-search__advanced-toggle {
  background-color: transparent;
  display: flex;
  gap: var(--space-4xs);
  align-items: center;
  font-size: var(--text-s);
  color: var(--text-title);
}
.property-search__field{
	height:46px;
}
.property-search--advanced .property-search__field{
	border-radius: var(--radius-s);
}
.property-search__field[disabled] {
  opacity: 0.3;
  cursor: not-allowed;
}
#property-search-price-min, #property-search-price-max {
  max-width: 120px;
  -webkit-appearance: textfield;
}
#property-search-country {
  max-width: 130px;
}
.brxe-filter-checkbox .brx-input-indicator {
  background-color: var(--dark);
}
@media (max-width:767px){
	.property-search {
		flex-direction: column;
	}
	.property-search__col{
		width: 100%;
		align-items: center;
		flex-direction: row;
	}
	.property-search__row{
		flex-wrap: wrap;
	}
	#property-search-city {
	  width: calc(100% - 64px);
	}
	.property-search__field.property-search__field--country, #property-search-city, #property-search-type{
		border-bottom: 1px solid var(--border-primary);
	}
	#property-search-price-min, #property-search-price-max{
		max-width: 50%;
	}
	.property-search__submit{
		flex-grow: 1;
	}
}
.property-search--advanced .property-search__actions, .property-search--advanced .property-search__submit{
	width: 100%;
}
.property-search__field-group.disabled{
	display: none;
}

/*Filters*/
.brxe-filter-range input {
  border-radius: var(--radius-s);
  border-color: var(--border-primary);
	background-color: var(--dark);
}
.brxe-filter-search input {
  background-color: var(--bg-body);
  border-radius: var(--radius-s);
  border-color: var(--border-primary);
}
.brxe-filter-checkbox label:hover {
  color: var(--text-title);
}
/*Slider*/
.splide__arrow {
  background-color: var(--dark);
  border-radius: var(--radius-full);
  border: 1px solid var(--border-primary);
  color: var(--light);
}
@media (max-width: 768px){
	.splide .splide__arrows {
	  display: none;
	}
}
/*Favorites*/
.property-card .add-to-favorite, .property-card .remove-favorite{
  position: absolute;
  right: var(--space-4xs);
  top: var(--space-4xs);
  background: transparent;
}
.property-card .remove-favorite:hover, .property-card .add-to-favorite:hover {
  background-color: var(--primary-l-4);
}
.property-card .add-to-favorite.added svg, .property-card .add-to-favorite.favorite svg {
  fill: var(--primary);
  color: var(--primary);
}
.favorites-count {
  position: absolute;
  top: -2px;
  right: -4px;
  background: var(--text-body);
  color: var(--light);
  width: 18px;
  height: 18px;
  border-radius: var(--radius-full);
  display: grid;
  place-items: center;
  line-height: 1;
  font-size: var(--text-xs);
}
/*Breadrcumbs*/
.rank-math-breadcrumb {
  font-size: var(--text-s);
	color: var(--text-body-l-2);
	width: 100%;
 	overflow: auto;
}
.rank-math-breadcrumb a{
	text-decoration: underline;
}
.rank-math-breadcrumb p {
  text-wrap: nowrap;
}
/*Forms*/
.brxe-form input, .brxe-form textarea {
  border-radius: var(--radius-s);
  border-color: var(--border-primary);
  background-color: var(--dark);
}
.brxe-form input[type="checkbox"] + label{
	font-size: var(--text-s);
}
/*Buttons*/
.btn.secondary svg path {
  stroke: var(--text-body) !important;
}
.form-group.submit-button-wrapper {
  width: 100%;
}
.single-properties .add-to-favorite {
  background: transparent;
  color: var(--text-title);
}
.single-properties .add-to-favorite.added svg path {
  fill: var(--primary);
  stroke: var(--primary);
}
.back-button {
  display: flex;
  flex-wrap: nowrap;
  gap: var(--space-3xs);
  align-items: center;
}
/*Gtranslate*/
.gtranslate_wrapper .gglobe.gglobe {
  width: 34px;
  height: 34px;
}
.gtranslate_wrapper .gglobe.gglobe:hover{
	transform: none;
}
/*Property card*/
.property-card {
  justify-content: start;
}
/*Pagination*/
.bricks-pagination .page-numbers .page-numbers {
  width: 35px;
  height: 35px;
  border-radius: var(--radius-full);
  font-weight: 500;
}
.bricks-pagination .page-numbers.current {
  background: var(--dark);
}
.bricks-pagination .page-numbers .page-numbers:not(.dots, .current):hover {
  color: var(--primary);
}
.brx-ajax-pagination.disabled{
	opacity: 0.5;
	pointer-events: none;
}
/*Subunits*/
.subunits-table__row--head {
	background-color: var(--dark-50);
	border-bottom: 1px solid var(--border-primary);
	font-size: var(--text-s);
	text-transform: uppercase;
}
.subunits-table__value, .subunits-table__header {
  padding: var(--space-xs) var(--space-2xs);
}
.subunits-table__row--content {
	border-bottom: 1px solid var(--border-primary);
	color: var(--text-title);
	cursor: pointer;
}
.subunits-table__row--content:nth-of-type(2n-1){
	background-color: var(--primary-5);
}
.subunits-table__row--content:hover {
	background: var(--primary-50);
}
.subunits-table {
	min-width: min-content;
}
/*Sidebar nav*/
@media (min-width: 768px) {
  #info-menu-dropdown {
    display: none;
  }
}
@media (max-width: 767px) {
  .sidebar-nav {
    display: none;
  }
}
#info-menu-dropdown {
  border-radius: var(--radius-s);
}
/*Single property page*/
.property-summary__facts{
	display: flex;
	flex-direction: row;
}
@media (max-width: 767px) {
  .property-summary__facts{
    display: grid;
    grid-template-columns: var(--columns-2);
  }
}
@media (max-width: 478px) {
  .property-summary__facts {
    width: 100%;
  }
}
/*Footer*/
footer a:hover {
  text-decoration: underline;
  color: var(--primary);
}
/*GTranslate*/
.gtranslate_wrapper {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: var(--space-xs);
}
.gtranslate_wrapper a {
  background: var(--dark);
  padding: var(--space-2xs);
  border-radius: var(--radius-s);
  border: 1px solid var(--border-primary);
}
a.glink.gt-current-lang {
  color: var(--primary);
  font-weight: 500 !important;
  border-color: var(--primary);
}
a.glink:hover {
  border-color: var(--primary);
}